Package com.xebialabs.xlrelease.domain

## Class ActivityLogEntry

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.ActivityLogEntry

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(description="Log of something that happened in XL Release.",
                root=APPLICATIONS,
                versioned=false)
      public class ActivityLogEntry
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.Comparator<ActivityLogEntry>` | `BY_EVENT_TIME` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActivityLogEntry()` |
    `ActivityLogEntry​(java.lang.String activityType, java.lang.String message)` |
    `ActivityLogEntry​(java.util.Date eventTime, java.lang.String activityType, java.lang.String username, java.lang.String message, java.lang.String targetType, java.lang.String targetId)` |
    `ActivityLogEntry​(java.util.Date eventTime, java.lang.String activityType, java.lang.String username, java.lang.String message, java.lang.String targetType, java.lang.String targetId, java.lang.String dataId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getActivityType()` |
    `java.lang.String` | `getDataId()` |
    `java.util.Date` | `getEventTime()` |
    `java.lang.String` | `getMessage()` |
    `java.lang.String` | `getTargetId()` |
    `java.lang.String` | `getTargetType()` |
    `java.lang.String` | `getUsername()` |
    `int` | `hashCode()` |
    `boolean` | `hasUsername()` |
    `void` | `logEntryToInfo()` |
    `void` | `setDataId​(java.lang.String dataId)` |
    `void` | `setEventTime​(java.util.Date eventTime)` |
    `void` | `setMessage​(java.lang.String message)` |
    `void` | `setTargetId​(java.lang.String targetId)` |
    `void` | `setTargetType​(java.lang.String targetType)` |
    `void` | `setUsername​(java.lang.String username)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BY_EVENT_TIME

          public static final java.util.Comparator<ActivityLogEntry> BY_EVENT_TIME

  - ### Constructor Detail

    - #### ActivityLogEntry

          public ActivityLogEntry()

    - #### ActivityLogEntry

          public ActivityLogEntry​(java.lang.String activityType,
                                  java.lang.String message)

    - #### ActivityLogEntry

          public ActivityLogEntry​(java.util.Date eventTime,
                                  java.lang.String activityType,
                                  java.lang.String username,
                                  java.lang.String message,
                                  java.lang.String targetType,
                                  java.lang.String targetId)

    - #### ActivityLogEntry

          public ActivityLogEntry​(java.util.Date eventTime,
                                  java.lang.String activityType,
                                  java.lang.String username,
                                  java.lang.String message,
                                  java.lang.String targetType,
                                  java.lang.String targetId,
                                  java.lang.String dataId)

  - ### Method Detail

    - #### hasUsername

          public boolean hasUsername()

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername​(java.lang.String username)

    - #### getActivityType

          public java.lang.String getActivityType()

    - #### setMessage

          public void setMessage​(java.lang.String message)

    - #### getMessage

          public java.lang.String getMessage()

    - #### getEventTime

          public java.util.Date getEventTime()

    - #### setEventTime

          public void setEventTime​(java.util.Date eventTime)

    - #### setTargetType

          public void setTargetType​(java.lang.String targetType)

    - #### getTargetType

          public java.lang.String getTargetType()

    - #### setTargetId

          public void setTargetId​(java.lang.String targetId)

    - #### getTargetId

          public java.lang.String getTargetId()

    - #### getDataId

          public java.lang.String getDataId()

    - #### setDataId

          public void setDataId​(java.lang.String dataId)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `BaseConfigurationItem`

    - #### logEntryToInfo

          public void logEntryToInfo()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `BaseConfigurationItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseConfigurationItem`